Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.container.om.portlet
Class PortletApplicationDefinitionListImpl

    java.lang.Object
      org.jasig.portal.container.om.portlet.PortletApplicationDefinitionListImpl

All Implemented Interfaces:
  java.io.Serializable, org.apache.pluto.om.Model, org.apache.pluto.om.portlet.PortletApplicationDefinitionList

    public class PortletApplicationDefinitionListImpl

extends java.lang.Object
implements org.apache.pluto.om.portlet.PortletApplicationDefinitionList, java.io.Serializable

Implementation of Apache Pluto object model.

Version:
  $Revision: 1.2 $
Author:
  Ken Weiner, kweiner@unicon.net
See Also:
  Serialized Form

Field Summary
`private java.util.Map` | `portletApplicationDefinitions`

Constructor Summary
`PortletApplicationDefinitionListImpl()`

Method Summary
`void` | `add(java.lang.String id, org.apache.pluto.om.portlet.PortletApplicationDefinition definition)`
`org.apache.pluto.om.portlet.PortletApplicationDefinition` | `get(org.apache.pluto.om.common.ObjectID id)`
`java.util.Iterator` | `iterator()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### portletApplicationDefinitions

    private java.util.Map portletApplicationDefinitions

Constructor Detail

### PortletApplicationDefinitionListImpl

    public PortletApplicationDefinitionListImpl()

Method Detail

### iterator

    public java.util.Iterator iterator()

  Specified by:
    `iterator` in interface `org.apache.pluto.om.portlet.PortletApplicationDefinitionList`

### get

    public org.apache.pluto.om.portlet.PortletApplicationDefinition get(org.apache.pluto.om.common.ObjectID id)

  Specified by:
    `get` in interface `org.apache.pluto.om.portlet.PortletApplicationDefinitionList`

### add

    public void add(java.lang.String id,
                    org.apache.pluto.om.portlet.PortletApplicationDefinition definition)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD